package cn.com.poc.ai_data_audit.rest;

import cn.com.yict.framemax.core.rest.BaseRest;
import cn.com.poc.ai_data_audit.dto.BizAiDataAuditRuleDto;
import cn.com.yict.framemax.data.model.PagingInfo;
import java.util.Collection;
import java.util.List;
import cn.com.yict.framemax.web.permission.Access;
import cn.com.yict.framemax.web.permission.Permission;
import org.springframework.web.bind.annotation.RequestBody;

public interface BizAiDataAuditRuleRest extends BaseRest {

    BizAiDataAuditRuleDto getById(java.lang.Integer id) throws Exception;
    
    List<BizAiDataAuditRuleDto> getList(BizAiDataAuditRuleDto example,PagingInfo pagingInfo) throws Exception;
        
    BizAiDataAuditRuleDto save(BizAiDataAuditRuleDto dto) throws Exception;

    BizAiDataAuditRuleDto update(BizAiDataAuditRuleDto dto) throws Exception;

    void deletedById(java.lang.Integer id) throws Exception;
        
}